Skip to main content
PUT
/
{id}
Error
A valid request URL is required to generate request examples
{
  "message": "Database updated successfully",
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "database": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "connection_type": "<string>",
    "connection_db_name": "<string>",
    "status": "<string>",
    "connection_summary": {
      "type": "<string>",
      "host": "<string>",
      "database": "<string>",
      "can_connect": true
    }
  }
}

Authorizations

Authorization
string
header
required

Enter token in format (Bearer )

Path Parameters

id
string<uuid>
required

Database ID

Body

application/json

Database update data

name
string
Maximum string length: 64
Example:

"Updated Database Name"

description
string | null
Maximum string length: 1000
Example:

"Updated description"

connection_type
enum<string>
Available options:
managed_pg,
external_db
icon_url
string | null
icon_color
string | null
Pattern: ^#[0-9A-Fa-f]{6}$
connection_host
string | null
connection_port
integer | null
Required range: 1 <= x <= 65535
connection_db_name
string | null
connection_username
string | null
connection_password
string | null

Response

Database updated successfully

message
string
Example:

"Database updated successfully"

transaction_id
string<uuid>
database
object